
Cook: stfl 0.24
================================================================================
QA: checking package receipt...
Checking build dependencies...
Installing (pkg/local): pcre-8.40
Installing (pkg/local): swig-2.0.4
Installing (pkg/local): tcl-8.6.7
Installing (pkg/local): xorg-libXau-1.0.8
Installing (pkg/local): xorg-libXdmcp-1.1.2
Installing (pkg/local): xorg-libxcb-1.12
Installing (pkg/local): xorg-libX11-1.6.5
Installing (pkg/local): tk-8.6.7
Installing (pkg/local): python-tcltk-2.7.13
Installing (pkg/local): python-idle-2.7.13
Installing (pkg/local): python-dev-2.7.13
Extracting source archive "stfl-0.24.tar.gz"

Executing: compile_rules
CFLAGS   : -march=i486  -Os -pipe -mindirect-branch=thunk

gcc -pthread -I. -MM *.c > Makefile.deps_new
gcc -pthread -I. -MM widgets/*.c | sed 's,^wt_[^ ]*\.o: ,widgets/&,' >> Makefile.deps_new
mv -f Makefile.deps_new Makefile.deps
gcc -pthread -march=i486  -Os -pipe -mindirect-branch=thunk -I. -Wall -Os -ggdb -D_GNU_SOURCE -fPIC   -c -o public.o public.c
gcc -pthread -march=i486  -Os -pipe -mindirect-branch=thunk -I. -Wall -Os -ggdb -D_GNU_SOURCE -fPIC   -c -o base.o base.c
gcc -pthread -march=i486  -Os -pipe -mindirect-branch=thunk -I. -Wall -Os -ggdb -D_GNU_SOURCE -fPIC   -c -o parser.o parser.c
gcc -pthread -march=i486  -Os -pipe -mindirect-branch=thunk -I. -Wall -Os -ggdb -D_GNU_SOURCE -fPIC   -c -o dump.o dump.c
gcc -pthread -march=i486  -Os -pipe -mindirect-branch=thunk -I. -Wall -Os -ggdb -D_GNU_SOURCE -fPIC   -c -o style.o style.c
gcc -pthread -march=i486  -Os -pipe -mindirect-branch=thunk -I. -Wall -Os -ggdb -D_GNU_SOURCE -fPIC   -c -o binding.o binding.c
gcc -pthread -march=i486  -Os -pipe -mindirect-branch=thunk -I. -Wall -Os -ggdb -D_GNU_SOURCE -fPIC   -c -o iconv.o iconv.c
gcc -pthread -march=i486  -Os -pipe -mindirect-branch=thunk -I. -Wall -Os -ggdb -D_GNU_SOURCE -fPIC   -c -o widgets/wt_label.o widgets/wt_label.c
gcc -pthread -march=i486  -Os -pipe -mindirect-branch=thunk -I. -Wall -Os -ggdb -D_GNU_SOURCE -fPIC   -c -o widgets/wt_textview.o widgets/wt_textview.c
gcc -pthread -march=i486  -Os -pipe -mindirect-branch=thunk -I. -Wall -Os -ggdb -D_GNU_SOURCE -fPIC   -c -o widgets/wt_box.o widgets/wt_box.c
gcc -pthread -march=i486  -Os -pipe -mindirect-branch=thunk -I. -Wall -Os -ggdb -D_GNU_SOURCE -fPIC   -c -o widgets/wt_list.o widgets/wt_list.c
widgets/wt_list.c: In function 'fix_offset_pos':
widgets/wt_list.c:75:3: warning: this 'if' clause does not guard... [-Wmisleading-indentation]
   if (stfl_widget_getkv_int(c, L"can_focus", 1) &&
   ^~
widgets/wt_list.c:79:4: note: ...this statement, but the latter is misleadingly indented as if it were guarded by the 'if'
    if(maxpos == pos) break;
    ^~
gcc -pthread -march=i486  -Os -pipe -mindirect-branch=thunk -I. -Wall -Os -ggdb -D_GNU_SOURCE -fPIC   -c -o widgets/wt_table.o widgets/wt_table.c
gcc -pthread -march=i486  -Os -pipe -mindirect-branch=thunk -I. -Wall -Os -ggdb -D_GNU_SOURCE -fPIC   -c -o widgets/wt_textedit.o widgets/wt_textedit.c
gcc -pthread -march=i486  -Os -pipe -mindirect-branch=thunk -I. -Wall -Os -ggdb -D_GNU_SOURCE -fPIC   -c -o widgets/wt_checkbox.o widgets/wt_checkbox.c
gcc -pthread -march=i486  -Os -pipe -mindirect-branch=thunk -I. -Wall -Os -ggdb -D_GNU_SOURCE -fPIC   -c -o widgets/wt_input.o widgets/wt_input.c
gcc -pthread -shared -Wl,-soname,libstfl.so.0 -o libstfl.so.0.24 -lncursesw public.o base.o parser.o dump.o style.o binding.o iconv.o widgets/wt_label.o widgets/wt_textview.o widgets/wt_box.o widgets/wt_list.o widgets/wt_table.o widgets/wt_textedit.o widgets/wt_checkbox.o widgets/wt_input.o
rm -f libstfl.a
ar qc libstfl.a public.o base.o parser.o dump.o style.o binding.o iconv.o widgets/wt_label.o widgets/wt_textview.o widgets/wt_box.o widgets/wt_list.o widgets/wt_table.o widgets/wt_textedit.o widgets/wt_checkbox.o widgets/wt_input.o
ranlib libstfl.a
gcc -pthread -march=i486  -Os -pipe -mindirect-branch=thunk -I. -Wall -Os -ggdb -D_GNU_SOURCE -fPIC   -c -o example.o example.c
gcc -pthread   example.o libstfl.a  -lncursesw -o example
cd python && swig -python -threads stfl.i
gcc -shared -pthread -fPIC python/stfl_wrap.c -I/usr/include/python2.7 \
	-I. libstfl.a -lncursesw -o python/_stfl.so
cd python && python -c 'import stfl'
sed 's,@VERSION@,0.24,g' < stfl.pc.in | sed 's,@PREFIX@,/usr,g' > stfl.pc
mkdir -p /home/slitaz/wok/stfl/install/usr/lib/python2.7/site-packages/
mkdir -p /home/slitaz/wok/stfl/install/usr/lib/python2.7/site-packages/lib-dynload/
cp python/_stfl.so /home/slitaz/wok/stfl/install/usr/lib/python2.7/site-packages/lib-dynload/
cp python/stfl.pyc /home/slitaz/wok/stfl/install/usr/lib/python2.7/site-packages/
cp python/stfl.py /home/slitaz/wok/stfl/install/usr/lib/python2.7/site-packages/
mkdir -p /home/slitaz/wok/stfl/install/usr/lib/pkgconfig
mkdir -p /home/slitaz/wok/stfl/install/usr/include
install -m 644 libstfl.a /home/slitaz/wok/stfl/install/usr/lib
install -m 644 stfl.h /home/slitaz/wok/stfl/install/usr/include/
install -m 644 stfl.pc /home/slitaz/wok/stfl/install/usr/lib/pkgconfig/
install -m 644 libstfl.so.0.24 /home/slitaz/wok/stfl/install/usr/lib
ln -fs libstfl.so.0.24 /home/slitaz/wok/stfl/install/usr/lib/libstfl.so
================================================================================

================================================================================


Build dependencies to remove: 11
Removing: pcre python-dev python-idle python-tcltk swig tcl tk xorg-libX11 
xorg-libXau xorg-libXdmcp xorg-libxcb


Pack: stfl 0.24
================================================================================
Executing: genpkg_rules
Copying folders and files...                                           Done
Copying "receipt"...                                                   Done
Executing strip on all files...                                        Done
  Time: 0.25s. Size: 185912 B -> 55364 B. Save: 127 KB.
Creating the list of files...                                          Done
Creating md5sum of files...                                            Done
Compressing the FS...                                                  Done
Updating receipt sizes...                                              Done
Creating full cpio archive...                                          Done
QA: checking for empty package...                                      Done
Removing old package "stfl-0.24.tazpkg"                                Done
The release checksum has changed.
================================================================================
Package "stfl-0.24.tazpkg" created


Pack: python-stfl 0.24
================================================================================
Executing: genpkg_rules
Copying folders and files...                                           Done
Copying "receipt"...                                                   Done
Executing strip on all files...                                        Done
  Time: 0.36s. Size: 252707 B -> 106044 B. Save: 143 KB.
Creating the list of files...                                          Done
Creating md5sum of files...                                            Done
Compressing the FS...                                                  Done
Updating receipt sizes...                                              Done
Creating full cpio archive...                                          Done
QA: checking for empty package...                                      Done
The release checksum has changed.
================================================================================
Package "python-stfl-0.24.tazpkg" created


Pack: stfl-dev 0.24
================================================================================
Executing: genpkg_rules
Copying folders and files...                                           Done
Copying "receipt"...                                                   Done
Executing strip on all files...                                        Done
  Time: 0.34s. Size: 231068 B -> 98248 B. Save: 130 KB.
Creating the list of files...                                          Done
Creating md5sum of files...                                            Done
Compressing the FS...                                                  Done
Updating receipt sizes...                                              Done
Creating full cpio archive...                                          Done
QA: checking for empty package...                                      Done
Removing old package "stfl-dev-0.24.tazpkg"                            Done
The release checksum has changed.
================================================================================
Package "stfl-dev-0.24.tazpkg" created


Summary for: stfl 0.24
================================================================================
Src file    : stfl-0.24.tar.gz
Src size    : 48.0K
Source dir  : 1.6M
Produced    : 712.0K
Cook time   : 21s
Cook date   : 2018-03-07 01:21
Target arch : i486
--------------------------------------------------------------------------------
 # :  Packed : Compressed : Files : Package name
--------------------------------------------------------------------------------
 1 :   84.0K :      22.5K :     3 : stfl-0.24.tazpkg
 2 :  152.0K :      37.4K :     2 : python-stfl-0.24.tazpkg
 3 :  140.0K :      27.4K :     3 : stfl-dev-0.24.tazpkg
================================================================================

Post-check
================================================================================
Checking build...                                                      Done
Checking 'any' arch...                                                 Done
Checking libtool in source/stfl-0.24...                                Done
Checking site script in source/stfl-0.24...                            Done
Checking ownership in install...                                       Done
Checking permissions in install...                                     Done
Checking broken symlinks in install...                                 Done
Querying Repology...                                                   Done
Updating activity log...                                               Done
================================================================================

